Bug 485869 - SBLive: Audio drops in and out in video.
SBLive: Audio drops in and out in video.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 00:49 EST by stephen
Modified: 2009-12-18 02:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:56:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulsevideo -vvvvv output when audio skips in steaming video from CBC. (2.24 KB, text/plain)
2009-05-04 23:09 EDT, stephen
no flags Details

  None (edit)
Description stephen 2009-02-17 00:49:27 EST
Description of problem:
Audio drops in and out when watching videos.  This across multiple video systems.  When watching steaming video in Flash x64, Gxine.  Also when watching DVDs or downloaded content on the hard drive on Xine.  This could be Alsa, but I am figuring since sound runs through Pulse, it might be more likely the problem.

Version-Release number of selected component (if applicable):
pulseaudio-module-gconf-0.9.14-1.fc10.x86_64
pulseaudio-utils-0.9.14-1.fc10.x86_64
pulseaudio-libs-0.9.14-1.fc10.x86_64
pulseaudio-core-libs-0.9.14-1.fc10.x86_64
pulseaudio-module-x11-0.9.14-1.fc10.x86_64
pulseaudio-0.9.14-1.fc10.x86_64
pulseaudio-libs-glib2-0.9.14-1.fc10.x86_64
pulseaudio-esound-compat-0.9.14-1.fc10.x86_64
(I have had updates once or twice since installed)

How reproducible:
Every time

Steps to Reproduce:
1. Download the flash x64 pre release and install for Mozilla
2. Watch CBC the national in firefox
  
Actual results:
Words or parts of words drop out from the sound steam.  In flash video, the video and sound can also become out of sync.

Expected results:
Consistent and constant stream of audio when watching a video - steaming or local.

Additional info:
Never saw this in Fedora 2-9 x86.  First time running x64 on this system.
SoundBlaster Live 5.1 sound card.  This has been affecting me since I installed in Late December or Early January.  Don't believe it's hardware problem, since Windows works well and Fedora 9 x86 before I installed F10
Comment 1 Lennart Poettering 2009-04-23 18:19:55 EDT
Uh. Smells like a bug in flash.

PA provides snd_pcm_delay() and similar timing info primitives to applications. 

I will now close this. Feel free to reopen if you can reproduce this reliably with only non-closed-source sw.
Comment 2 stephen 2009-04-23 21:42:10 EDT
I did.  In my listed problem I mentioned this is reproducible in Xine and Gxine.  I have this problem when watching streaming videos and watching DVDs, thus this isn't just a flash problem.
Comment 3 Lennart Poettering 2009-04-24 11:19:19 EDT
Hmm, do you have an onboard sound card. Can you reproduce this with it?

The SBLive driver has certain issues with the timing.

Also, please provide the output of 'pulseaudio -vvvvv' when this happens, run in a terminal. YOu might need to stop it using 'pulseaudio -k' first.
Comment 4 stephen 2009-05-04 23:08:30 EDT
I have an onboard sound card (Intel ICH6) and am testing that. So far no issue yet.

It did happen with the SBLive watching cbc.ca/bc 6 PM on demand news with Gxine Plugin/Gxine in Firefox.  Attaching pulseaudio -vvvvv output: SBlive_gxine_cbc_bc_news.txt

Will try some DVDs with Intel ICH6 onboard to see if it happens with it.

Additional Info:  
1. For Fedora 9 x64, I was unable to play ID software games (with SBLive), because Audio was 1/2 - 1 seconds behind video.  This is not happening on Fedora 10 x64.

2. When having onboard turned on, SBLive audio sound levels are lower than when the onboard is disabled.

3. When having both sound cards on, programs seems to randomly pick which should output audio instead of following the primary selected device in sound control panel.
Comment 5 stephen 2009-05-04 23:09:27 EDT
Created attachment 342408 [details]
pulsevideo -vvvvv output when audio skips in steaming video from CBC.
Comment 6 stephen 2009-05-08 01:53:30 EDT
I played a number of videos with the Onboard and I didn't have Audio drop outs.  I installed the SBLive and watched the same steam and had audio drop outs.  Seems to be related to the SBLive.
Comment 7 stephen 2009-06-17 23:37:36 EDT
I have moved to Fedora 11 x64, now I get static from my SBLive and Kernel Failures when using it.  Opening a new bug for that or will comment if it is already created.
Comment 8 Bug Zapper 2009-11-18 06:07:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:56:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.